---
title: ブロックハッシュとリビジョンによって保護された prose
  ops（insert、replace、delete、move、set、restore）を使用し、ブロック ID または引用された単語によって社内 Space
  ドキュメントを編集します。
description: 'Space ドキュメントを prose ops
  で編集します。最新バージョンに対して順序どおり、かつオールオアナッシングで適用されます（その間にユーザーが入力したテキストは保持されます）。Ops:
  insert {target, side, source} · replace {target, with} · delete {target} ·
  move {target, to:{target, side}} · set {target,
  attrs:{kind|checked|background|rows|spec|caption}} · restore {rev}（その呼び出し内で唯一の
  op、payload.ifRev = 最新リビジョン）。Targets: {"kind":"find","text":"…","nth"?} 現状の単語 ·
  {"kind":"blocks","ids":[…]} read または ack から取得した完全な ID · {"kind":"root"}（side:
  start/end） · {"kind":"cell","table","row","col"}。source/with =
  {"from":{"kind":"inline","content":…},"as":"text"|"markdown"|"blocks"}: text
  は書式を保持したままその場で文言を変更します。markdown はブロックを再作成します。blocks は JSON ノードツリーです（テーブルの行:
  [{"type":"row","content":[{"type":"cell",…}]}]）。pending（保留中）のブロックは、その ID を "##
  Heading" + 本文 で置換することで入力されます（ガードなし）。その後の編集では、その ack 内の ID を使用します。ブロック全体の
  replace/delete には "ifHash"（最新の h）と "ifRev"（それを表示した読み取り時の rev）を含めます。複数の ID
  またはセルには "ifRev" を指定します。"force" は上書きを明示的に指示された場合のみ使用します。見出し ID に対する side "end"
  = そのセクションの末尾、リスト/テーブル/行 ID に対する side "end" = その内部への追加となります。set: リストの kind は
  bullet|ordered|check、チェックリスト項目の checked、セルの background は #f0efec #fbebeb
  #f9ece7 #f9eeda #e5f4e4 #e7f1fb #efedff のいずれか（null でクリア）です。列（Column）: すべての行 ID
  において "each":true を指定して insert します。チャートとダイアグラム: チャートブロックは rows + spec
  から描画され、画像になることはありません。ダイアグラムブロックは boxes + connectors から描画されます。埋め込みチップ <?claude
  block chart?> + blocks
  {"chart":{"type":"chart","spec":{…},"rows":[…],"caption":"…"}}（または
  "type":"diagram"）で配置し、その ID に対して set attrs {rows|spec|caption} を実行して変更します。チップ:
  Markdown 内に <?claude block key?> を配置し、"blocks" 内にチップを配置します。mention は
  {"user":"me"}（リクエスト元のユーザー）、既存メンバーのユーザー
  ID、またはユーザーが明示的に指定した場合のみメールアドレスを指定します（推測して指定しないでください）。mention
  {"ref":"project/<doc id>"} は別のドキュメントにリンクします。date {"value":"YYYY-MM-DD"}
  は実行可能な日付にのみ使用します。このワークスペースのメンバーおよびドキュメントのみが解決されます。画像とファイル: まず Blob
  を作成し（create_space_document_blob）、その
  Markdown（![alt](blob/<id>)）を挿入します。別のワークスペースの blob/<id>
  は拒否されます。拒否された場合は何も書き込まれません。error.code（guard_mismatch: ブロックが変更されたため error.data
  に現状が表示されます。そこからやり直してください。force は決して使用しないでください。find_none:
  再度読み取り、現在の記述を引用してください。block_gone:
  誰かが削除したため、決して再作成しないでください。missing_guard、cell_none、last_block、same_anchor、place_arity、shape、bad_request）および
  error.param（op のパス）を含む 409 が返されます。'
canonical_url: https://orchestor.io/docs/space/rest-api/endpoint-reference/documents/post-edit-space-document
markdown_url: https://orchestor.io/docs/space/rest-api/endpoint-reference/documents/post-edit-space-document.md
---

# ブロックハッシュとリビジョンによって保護された prose ops（insert、replace、delete、move、set、restore）を使用し、ブロック ID または引用された単語によって社内 Space ドキュメントを編集します。

Space ドキュメントを prose ops で編集します。最新バージョンに対して順序どおり、かつオールオアナッシングで適用されます（その間にユーザーが入力したテキストは保持されます）。Ops: insert {target, side, source} · replace {target, with} · delete {target} · move {target, to:{target, side}} · set {target, attrs:{kind|checked|background|rows|spec|caption}} · restore {rev}（その呼び出し内で唯一の op、payload.ifRev = 最新リビジョン）。Targets: {"kind":"find","text":"…","nth"?} 現状の単語 · {"kind":"blocks","ids":[…]} read または ack から取得した完全な ID · {"kind":"root"}（side: start/end） · {"kind":"cell","table","row","col"}。source/with = {"from":{"kind":"inline","content":…},"as":"text"|"markdown"|"blocks"}: text は書式を保持したままその場で文言を変更します。markdown はブロックを再作成します。blocks は JSON ノードツリーです（テーブルの行: [{"type":"row","content":[{"type":"cell",…}]}]）。pending（保留中）のブロックは、その ID を "## Heading" + 本文 で置換することで入力されます（ガードなし）。その後の編集では、その ack 内の ID を使用します。ブロック全体の replace/delete には "ifHash"（最新の h）と "ifRev"（それを表示した読み取り時の rev）を含めます。複数の ID またはセルには "ifRev" を指定します。"force" は上書きを明示的に指示された場合のみ使用します。見出し ID に対する side "end" = そのセクションの末尾、リスト/テーブル/行 ID に対する side "end" = その内部への追加となります。set: リストの kind は bullet|ordered|check、チェックリスト項目の checked、セルの background は #f0efec #fbebeb #f9ece7 #f9eeda #e5f4e4 #e7f1fb #efedff のいずれか（null でクリア）です。列（Column）: すべての行 ID において "each":true を指定して insert します。チャートとダイアグラム: チャートブロックは rows + spec から描画され、画像になることはありません。ダイアグラムブロックは boxes + connectors から描画されます。埋め込みチップ <?claude block chart?> + blocks {"chart":{"type":"chart","spec":{…},"rows":[…],"caption":"…"}}（または "type":"diagram"）で配置し、その ID に対して set attrs {rows|spec|caption} を実行して変更します。チップ: Markdown 内に <?claude block key?> を配置し、"blocks" 内にチップを配置します。mention は {"user":"me"}（リクエスト元のユーザー）、既存メンバーのユーザー ID、またはユーザーが明示的に指定した場合のみメールアドレスを指定します（推測して指定しないでください）。mention {"ref":"project/<doc id>"} は別のドキュメントにリンクします。date {"value":"YYYY-MM-DD"} は実行可能な日付にのみ使用します。このワークスペースのメンバーおよびドキュメントのみが解決されます。画像とファイル: まず Blob を作成し（create_space_document_blob）、その Markdown（![alt](https://orchestor.io/docs/space/rest-api/endpoint-reference/documents/blob/%3Cid%3E)）を挿入します。別のワークスペースの blob/<id> は拒否されます。拒否された場合は何も書き込まれません。error.code（guard_mismatch: ブロックが変更されたため error.data に現状が表示されます。そこからやり直してください。force は決して使用しないでください。find_none: 再度読み取り、現在の記述を引用してください。block_gone: 誰かが削除したため、決して再作成しないでください。missing_guard、cell_none、last_block、same_anchor、place_arity、shape、bad_request）および error.param（op のパス）を含む 409 が返されます。

```http
POST /v1/space/documents/{document_id}/edit
```

Server: https://api.orchestor.io

Operation ID: `editSpaceDocument`

## Authentication

```json
[
  [
    {
      "key": "session_cookie",
      "type": "apiKey",
      "description": "ウェブアプリにサインインすることで確立されるブラウザセッションです。サーバーは、ワークスペースのメンバーシップと権限を確認します。ワークスペーススコープの操作には X-Workspace-ID を指定してください。サーバー間リクエストの場合、操作がサポートしていれば API キーを使用します。",
      "name": "wos-session",
      "in": "cookie",
      "scopes": []
    }
  ],
  [
    {
      "key": "bearer_api_key",
      "type": "http",
      "description": "Authorization: Bearer <key> を使用して、ワークスペーススコープの API キーで認証します。サポートされているキープレフィックスは sk_live_ および sk_test_ です。キーによってワークスペースと許可される権限が決定されます。X-Workspace-ID を指定しても、別のワークスペースへのアクセス権は付与されません。API キーの作成と管理はワークスペース設定で行います。キーを URL に入れないでください。",
      "scheme": "bearer",
      "scopes": []
    }
  ]
]
```

## Parameters

```json
[
  {
    "name": "X-Workspace-ID",
    "in": "header",
    "required": false,
    "description": "アクセスするワークスペースです。ワークスペーススコープの API キーを使用する場合、サーバーはキーからこの値を導出するため、ヘッダーは任意です。指定する場合、認証情報のワークスペースと一致する必要があり、一致しない場合リクエストは 403 workspace_mismatch を返します。インタラクティブなセッションリクエストの場合、メンバーになっているワークスペースを選択するためにこのヘッダーを指定します。プロジェクト ID をワークスペース ID として使用することはできません。",
    "schema": {
      "type": "string",
      "example": "wks_abc123"
    }
  },
  {
    "name": "document_id",
    "in": "path",
    "required": true,
    "schema": {
      "pattern": "^doc_[a-f0-9]{24}$",
      "type": "string"
    }
  }
]
```

## Request body

```json
{
  "required": true,
  "content": [
    {
      "contentType": "application/json",
      "schema": {
        "name": "SpaceDocumentOps",
        "type": "object",
        "required": [
          "ops"
        ],
        "properties": {
          "answering": {
            "pattern": "^dcm_[a-f0-9]{24}$",
            "type": "string",
            "description": "コメントによって求められた場合に、この編集が応答するスレッド（その最初のコメント ID）です。"
          },
          "ifRev": {
            "minimum": 0,
            "type": "integer"
          },
          "ops": {
            "minItems": 1,
            "maxItems": 64,
            "type": "array",
            "items": {
              "anyOf": [
                {
                  "type": "object",
                  "required": [
                    "op",
                    "target",
                    "side",
                    "source"
                  ],
                  "properties": {
                    "each": {
                      "type": "boolean"
                    },
                    "op": {
                      "type": "string",
                      "enumValues": [
                        "insert"
                      ]
                    },
                    "side": {
                      "type": "string",
                      "enumValues": [
                        "before",
                        "after",
                        "start",
                        "end"
                      ]
                    },
                    "source": {
                      "type": "object",
                      "required": [
                        "from",
                        "as"
                      ],
                      "properties": {
                        "as": {
                          "type": "string",
                          "enumValues": [
                            "text",
                            "markdown",
                            "blocks"
                          ]
                        },
                        "blocks": {
                          "type": "object",
                          "description": "Markdown 内の <?claude block key?> トークン用のチップです。例: {\"s1\":{\"type\":\"pending\",\"intent\":\"Risks: …\"}}、{\"me\":{\"type\":\"mention\",\"user\":\"me\"},\"due\":{\"type\":\"date\",\"value\":\"2026-11-01\"},\"plan\":{\"type\":\"mention\",\"ref\":\"project/doc_…\"}}、または {\"chart\":{\"type\":\"chart\",\"spec\":{…},\"rows\":[…],\"caption\":\"<where the numbers come from>\"}}。",
                          "additionalProperties": {
                            "anyOf": [
                              {
                                "type": "object",
                                "required": [
                                  "type",
                                  "intent"
                                ],
                                "properties": {
                                  "intent": {
                                    "maxLength": 2000,
                                    "type": "string"
                                  },
                                  "type": {
                                    "type": "string",
                                    "enumValues": [
                                      "pending"
                                    ]
                                  }
                                }
                              },
                              {
                                "type": "object",
                                "required": [
                                  "type"
                                ],
                                "properties": {
                                  "type": {
                                    "type": "string",
                                    "enumValues": [
                                      "paragraph"
                                    ]
                                  }
                                }
                              },
                              {
                                "type": "object",
                                "required": [
                                  "type",
                                  "spec",
                                  "rows"
                                ],
                                "properties": {
                                  "caption": {
                                    "type": "string"
                                  },
                                  "rows": {
                                    "maxItems": 2000,
                                    "type": "array",
                                    "description": "チャートが描画する測定された行です（2000 行以下、256 KiB）。",
                                    "items": {
                                      "type": "object",
                                      "additionalProperties": {
                                        "anyOf": [
                                          {
                                            "type": "string"
                                          },
                                          {
                                            "type": "number"
                                          },
                                          {
                                            "type": "boolean"
                                          },
                                          {
                                            "type": "null"
                                          }
                                        ]
                                      }
                                    }
                                  },
                                  "spec": {
                                    "type": "object",
                                    "required": [
                                      "kind",
                                      "title",
                                      "x",
                                      "y"
                                    ],
                                    "properties": {
                                      "kind": {
                                        "type": "string",
                                        "enumValues": [
                                          "line",
                                          "bar",
                                          "pie"
                                        ]
                                      },
                                      "series": {
                                        "type": "string",
                                        "description": "その値（VALUES）が系列名となるカラムです。系列および期間ごとに 1 行です。"
                                      },
                                      "title": {
                                        "minLength": 1,
                                        "type": "string",
                                        "description": "トピックではなく、番号付きの調査結果です。"
                                      },
                                      "unit": {
                                        "type": "string"
                                      },
                                      "x": {
                                        "minLength": 1,
                                        "type": "string",
                                        "description": "軸に沿ったカラム（または円グラフのスライス）です。"
                                      },
                                      "y": {
                                        "minLength": 1,
                                        "type": "string",
                                        "description": "測定対象のカラム（数値）です。"
                                      }
                                    }
                                  },
                                  "type": {
                                    "type": "string",
                                    "enumValues": [
                                      "chart"
                                    ]
                                  }
                                }
                              },
                              {
                                "type": "object",
                                "required": [
                                  "type",
                                  "spec"
                                ],
                                "properties": {
                                  "caption": {
                                    "type": "string"
                                  },
                                  "spec": {
                                    "type": "object",
                                    "required": [
                                      "title",
                                      "direction",
                                      "nodes",
                                      "edges"
                                    ],
                                    "properties": {
                                      "direction": {
                                        "type": "string",
                                        "enumValues": [
                                          "right",
                                          "down"
                                        ]
                                      },
                                      "edges": {
                                        "maxItems": 120,
                                        "type": "array",
                                        "items": {
                                          "type": "object",
                                          "required": [
                                            "from",
                                            "to"
                                          ],
                                          "properties": {
                                            "from": {
                                              "type": "string"
                                            },
                                            "label": {
                                              "type": "string"
                                            },
                                            "to": {
                                              "type": "string"
                                            }
                                          }
                                        }
                                      },
                                      "nodes": {
                                        "minItems": 1,
                                        "maxItems": 60,
                                        "type": "array",
                                        "items": {
                                          "type": "object",
                                          "required": [
                                            "id",
                                            "label"
                                          ],
                                          "properties": {
                                            "detail": {
                                              "type": "string"
                                            },
                                            "id": {
                                              "pattern": "^[\\w-]{1,64}$",
                                              "type": "string"
                                            },
                                            "label": {
                                              "minLength": 1,
                                              "type": "string"
                                            }
                                          }
                                        }
                                      },
                                      "title": {
                                        "minLength": 1,
                                        "type": "string"
                                      }
                                    }
                                  },
                                  "type": {
                                    "type": "string",
                                    "enumValues": [
                                      "diagram"
                                    ]
                                  }
                                }
                              },
                              {
                                "type": "object",
                                "required": [
                                  "type",
                                  "user"
                                ],
                                "properties": {
                                  "type": {
                                    "type": "string",
                                    "enumValues": [
                                      "mention"
                                    ]
                                  },
                                  "user": {
                                    "minLength": 1,
                                    "maxLength": 320,
                                    "type": "string"
                                  }
                                }
                              },
                              {
                                "type": "object",
                                "required": [
                                  "type",
                                  "ref"
                                ],
                                "properties": {
                                  "ref": {
                                    "pattern": "^project\\/doc_[a-f0-9]{24}$",
                                    "type": "string"
                                  },
                                  "type": {
                                    "type": "string",
                                    "enumValues": [
                                      "mention"
                                    ]
                                  }
                                }
                              },
                              {
                                "type": "object",
                                "required": [
                                  "type",
                                  "value"
                                ],
                                "properties": {
                                  "type": {
                                    "type": "string",
                                    "enumValues": [
                                      "date"
                                    ]
                                  },
                                  "value": {
                                    "pattern": "^\\d{4}-\\d{2}-\\d{2}$",
                                    "type": "string"
                                  }
                                }
                              }
                            ]
                          }
                        },
                        "from": {
                          "type": "object",
                          "required": [
                            "kind",
                            "content"
                          ],
                          "properties": {
                            "content": {
                              "anyOf": [
                                {
                                  "type": "string"
                                },
                                {
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "additionalProperties": {}
                                  }
                                },
                                {
                                  "type": "object",
                                  "additionalProperties": {}
                                }
                              ]
                            },
                            "kind": {
                              "type": "string",
                              "enumValues": [
                                "inline"
                              ]
                            }
                          }
                        }
                      }
                    },
                    "target": {
                      "anyOf": [
                        {
                          "type": "object",
                          "description": "前回の read または ack に表示されたとおりの正確な単語です。重複する場合は \"nth\" を指定します（デフォルトは 1）。",
                          "required": [
                            "kind",
                            "text"
                          ],
                          "properties": {
                            "kind": {
                              "type": "string",
                              "enumValues": [
                                "find"
                              ]
                            },
                            "nth": {
                              "minimum": 1,
                              "type": "integer"
                            },
                            "text": {
                              "minLength": 1,
                              "type": "string"
                            },
                            "within": {
                              "type": "object",
                              "description": "位置によるテーブルセルです: 0 = 最初の行（ヘッダー行）/ 最初の列、-1 = 最後。",
                              "required": [
                                "kind",
                                "table",
                                "row",
                                "col"
                              ],
                              "properties": {
                                "col": {
                                  "type": "integer"
                                },
                                "kind": {
                                  "type": "string",
                                  "enumValues": [
                                    "cell"
                                  ]
                                },
                                "row": {
                                  "type": "integer"
                                },
                                "table": {
                                  "pattern": "^\\d+\\.\\d+$",
                                  "type": "string",
                                  "description": "read または ack が出力する完全なブロック ID です（例: \"1938274.12\"）。"
                                }
                              }
                            }
                          }
                        },
                        {
                          "type": "object",
                          "required": [
                            "kind",
                            "ids"
                          ],
                          "properties": {
                            "ids": {
                              "minItems": 1,
                              "maxItems": 4096,
                              "type": "array",
                              "items": {
                                "pattern": "^\\d+\\.\\d+$",
                                "type": "string",
                                "description": "read または ack が出力する完全なブロック ID です（例: \"1938274.12\"）。"
                              }
                            },
                            "kind": {
                              "type": "string",
                              "enumValues": [
                                "blocks"
                              ]
                            }
                          }
                        },
                        {
                          "type": "object",
                          "required": [
                            "kind"
                          ],
                          "properties": {
                            "kind": {
                              "type": "string",
                              "enumValues": [
                                "root"
                              ]
                            }
                          }
                        },
                        {
                          "type": "object",
                          "description": "位置によるテーブルセルです: 0 = 最初の行（ヘッダー行）/ 最初の列、-1 = 最後。",
                          "required": [
                            "kind",
                            "table",
                            "row",
                            "col"
                          ],
                          "properties": {
                            "col": {
                              "type": "integer"
                            },
                            "kind": {
                              "type": "string",
                              "enumValues": [
                                "cell"
                              ]
                            },
                            "row": {
                              "type": "integer"
                            },
                            "table": {
                              "pattern": "^\\d+\\.\\d+$",
                              "type": "string",
                              "description": "read または ack が出力する完全なブロック ID です（例: \"1938274.12\"）。"
                            }
                          }
                        }
                      ]
                    }
                  }
                },
                {
                  "type": "object",
                  "required": [
                    "op",
                    "target",
                    "with"
                  ],
                  "properties": {
                    "force": {
                      "type": "boolean"
                    },
                    "ifHash": {
                      "pattern": "^[0-9a-f]{8}$",
                      "type": "string"
                    },
                    "ifRev": {
                      "minimum": 0,
                      "type": "integer"
                    },
                    "op": {
                      "type": "string",
                      "enumValues": [
                        "replace"
                      ]
                    },
                    "target": {
                      "anyOf": [
                        {
                          "type": "object",
                          "description": "前回の read または ack に表示されたとおりの正確な単語です。重複する場合は \"nth\" を指定します（デフォルトは 1）。",
                          "required": [
                            "kind",
                            "text"
                          ],
                          "properties": {
                            "kind": {
                              "type": "string",
                              "enumValues": [
                                "find"
                              ]
                            },
                            "nth": {
                              "minimum": 1,
                              "type": "integer"
                            },
                            "text": {
                              "minLength": 1,
                              "type": "string"
                            },
                            "within": {
                              "type": "object",
                              "description": "位置によるテーブルセルです: 0 = 最初の行（ヘッダー行）/ 最初の列、-1 = 最後。",
                              "required": [
                                "kind",
                                "table",
                                "row",
                                "col"
                              ],
                              "properties": {
                                "col": {
                                  "type": "integer"
                                },
                                "kind": {
                                  "type": "string",
                                  "enumValues": [
                                    "cell"
                                  ]
                                },
                                "row": {
                                  "type": "integer"
                                },
                                "table": {
                                  "pattern": "^\\d+\\.\\d+$",
                                  "type": "string",
                                  "description": "read または ack が出力する完全なブロック ID です（例: \"1938274.12\"）。"
                                }
                              }
                            }
                          }
                        },
                        {
                          "type": "object",
                          "required": [
                            "kind",
                            "ids"
                          ],
                          "properties": {
                            "ids": {
                              "minItems": 1,
                              "maxItems": 4096,
                              "type": "array",
                              "items": {
                                "pattern": "^\\d+\\.\\d+$",
                                "type": "string",
                                "description": "read または ack が出力する完全なブロック ID です（例: \"1938274.12\"）。"
                              }
                            },
                            "kind": {
                              "type": "string",
                              "enumValues": [
                                "blocks"
                              ]
                            }
                          }
                        },
                        {
                          "type": "object",
                          "required": [
                            "kind"
                          ],
                          "properties": {
                            "kind": {
                              "type": "string",
                              "enumValues": [
                                "root"
                              ]
                            }
                          }
                        },
                        {
                          "type": "object",
                          "description": "位置によるテーブルセルです: 0 = 最初の行（ヘッダー行）/ 最初の列、-1 = 最後。",
                          "required": [
                            "kind",
                            "table",
                            "row",
                            "col"
                          ],
                          "properties": {
                            "col": {
                              "type": "integer"
                            },
                            "kind": {
                              "type": "string",
                              "enumValues": [
                                "cell"
                              ]
                            },
                            "row": {
                              "type": "integer"
                            },
                            "table": {
                              "pattern": "^\\d+\\.\\d+$",
                              "type": "string",
                              "description": "read または ack が出力する完全なブロック ID です（例: \"1938274.12\"）。"
                            }
                          }
                        }
                      ]
                    },
                    "with": {
                      "type": "object",
                      "required": [
                        "from",
                        "as"
                      ],
                      "properties": {
                        "as": {
                          "type": "string",
                          "enumValues": [
                            "text",
                            "markdown",
                            "blocks"
                          ]
                        },
                        "blocks": {
                          "type": "object",
                          "description": "Markdown 内の <?claude block key?> トークン用のチップです（例: {\"s1\":{\"type\":\"pending\",\"intent\":\"Risks: …\"}}、{\"me\":{\"type\":\"mention\",\"user\":\"me\"},\"due\":{\"type\":\"date\",\"value\":\"2026-11-01\"},\"plan\":{\"type\":\"mention\",\"ref\":\"project/doc_…\"}}、または {\"chart\":{\"type\":\"chart\",\"spec\":{…},\"rows\":[…],\"caption\":\"<where the numbers come from>\"}}）。",
                          "additionalProperties": {
                            "anyOf": [
                              {
                                "type": "object",
                                "required": [
                                  "type",
                                  "intent"
                                ],
                                "properties": {
                                  "intent": {
                                    "maxLength": 2000,
                                    "type": "string"
                                  },
                                  "type": {
                                    "type": "string",
                                    "enumValues": [
                                      "pending"
                                    ]
                                  }
                                }
                              },
                              {
                                "type": "object",
                                "required": [
                                  "type"
                                ],
                                "properties": {
                                  "type": {
                                    "type": "string",
                                    "enumValues": [
                                      "paragraph"
                                    ]
                                  }
                                }
                              },
                              {
                                "type": "object",
                                "required": [
                                  "type",
                                  "spec",
                                  "rows"
                                ],
                                "properties": {
                                  "caption": {
                                    "type": "string"
                                  },
                                  "rows": {
                                    "maxItems": 2000,
                                    "type": "array",
                                    "description": "チャートが描画する測定値の行です（≤ 2000行、256 KiB）。",
                                    "items": {
                                      "type": "object",
                                      "additionalProperties": {
                                        "anyOf": [
                                          {
                                            "type": "string"
                                          },
                                          {
                                            "type": "number"
                                          },
                                          {
                                            "type": "boolean"
                                          },
                                          {
                                            "type": "null"
                                          }
                                        ]
                                      }
                                    }
                                  },
                                  "spec": {
                                    "type": "object",
                                    "required": [
                                      "kind",
                                      "title",
                                      "x",
                                      "y"
                                    ],
                                    "properties": {
                                      "kind": {
                                        "type": "string",
                                        "enumValues": [
                                          "line",
                                          "bar",
                                          "pie"
                                        ]
                                      },
                                      "series": {
                                        "type": "string",
                                        "description": "値（VALUES）が系列名となる列です。系列および期間ごとに1行となります。"
                                      },
                                      "title": {
                                        "minLength": 1,
                                        "type": "string",
                                        "description": "トピックではなく、番号を含めた調査結果です。"
                                      },
                                      "unit": {
                                        "type": "string"
                                      },
                                      "x": {
                                        "minLength": 1,
                                        "type": "string",
                                        "description": "軸に沿った列（または円グラフのスライス）です。"
                                      },
                                      "y": {
                                        "minLength": 1,
                                        "type": "string",
                                        "description": "測定された列（数値）です。"
                                      }
                                    }
                                  },
                                  "type": {
                                    "type": "string",
                                    "enumValues": [
                                      "chart"
                                    ]
                                  }
                                }
                              },
                              {
                                "type": "object",
                                "required": [
                                  "type",
                                  "spec"
                                ],
                                "properties": {
                                  "caption": {
                                    "type": "string"
                                  },
                                  "spec": {
                                    "type": "object",
                                    "required": [
                                      "title",
                                      "direction",
                                      "nodes",
                                      "edges"
                                    ],
                                    "properties": {
                                      "direction": {
                                        "type": "string",
                                        "enumValues": [
                                          "right",
                                          "down"
                                        ]
                                      },
                                      "edges": {
                                        "maxItems": 120,
                                        "type": "array",
                                        "items": {
                                          "type": "object",
                                          "required": [
                                            "from",
                                            "to"
                                          ],
                                          "properties": {
                                            "from": {
                                              "type": "string"
                                            },
                                            "label": {
                                              "type": "string"
                                            },
                                            "to": {
                                              "type": "string"
                                            }
                                          }
                                        }
                                      },
                                      "nodes": {
                                        "minItems": 1,
                                        "maxItems": 60,
                                        "type": "array",
                                        "items": {
                                          "type": "object",
                                          "required": [
                                            "id",
                                            "label"
                                          ],
                                          "properties": {
                                            "detail": {
                                              "type": "string"
                                            },
                                            "id": {
                                              "pattern": "^[\\w-]{1,64}$",
                                              "type": "string"
                                            },
                                            "label": {
                                              "minLength": 1,
                                              "type": "string"
                                            }
                                          }
                                        }
                                      },
                                      "title": {
                                        "minLength": 1,
                                        "type": "string"
                                      }
                                    }
                                  },
                                  "type": {
                                    "type": "string",
                                    "enumValues": [
                                      "diagram"
                                    ]
                                  }
                                }
                              },
                              {
                                "type": "object",
                                "required": [
                                  "type",
                                  "user"
                                ],
                                "properties": {
                                  "type": {
                                    "type": "string",
                                    "enumValues": [
                                      "mention"
                                    ]
                                  },
                                  "user": {
                                    "minLength": 1,
                                    "maxLength": 320,
                                    "type": "string"
                                  }
                                }
                              },
                              {
                                "type": "object",
                                "required": [
                                  "type",
                                  "ref"
                                ],
                                "properties": {
                                  "ref": {
                                    "pattern": "^project\\/doc_[a-f0-9]{24}$",
                                    "type": "string"
                                  },
                                  "type": {
                                    "type": "string",
                                    "enumValues": [
                                      "mention"
                                    ]
                                  }
                                }
                              },
                              {
                                "type": "object",
                                "required": [
                                  "type",
                                  "value"
                                ],
                                "properties": {
                                  "type": {
                                    "type": "string",
                                    "enumValues": [
                                      "date"
                                    ]
                                  },
                                  "value": {
                                    "pattern": "^\\d{4}-\\d{2}-\\d{2}$",
                                    "type": "string"
                                  }
                                }
                              }
                            ]
                          }
                        },
                        "from": {
                          "type": "object",
                          "required": [
                            "kind",
                            "content"
                          ],
                          "properties": {
                            "content": {
                              "anyOf": [
                                {
                                  "type": "string"
                                },
                                {
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "additionalProperties": {}
                                  }
                                },
                                {
                                  "type": "object",
                                  "additionalProperties": {}
                                }
                              ]
                            },
                            "kind": {
                              "type": "string",
                              "enumValues": [
                                "inline"
                              ]
                            }
                          }
                        }
                      }
                    }
                  }
                },
                {
                  "type": "object",
                  "required": [
                    "op",
                    "target"
                  ],
                  "properties": {
                    "force": {
                      "type": "boolean"
                    },
                    "ifHash": {
                      "pattern": "^[0-9a-f]{8}$",
                      "type": "string"
                    },
                    "ifRev": {
                      "minimum": 0,
                      "type": "integer"
                    },
                    "op": {
                      "type": "string",
                      "enumValues": [
                        "delete"
                      ]
                    },
                    "target": {
                      "anyOf": [
                        {
                          "type": "object",
                          "description": "直前の read または ack にあるとおりの正確な単語です。重複する場合は \"nth\" を指定します（デフォルトは 1）。",
                          "required": [
                            "kind",
                            "text"
                          ],
                          "properties": {
                            "kind": {
                              "type": "string",
                              "enumValues": [
                                "find"
                              ]
                            },
                            "nth": {
                              "minimum": 1,
                              "type": "integer"
                            },
                            "text": {
                              "minLength": 1,
                              "type": "string"
                            },
                            "within": {
                              "type": "object",
                              "description": "位置によるテーブルセルです。0 = 最初の行（ヘッダー行）/ 最初の列、-1 = 最後。",
                              "required": [
                                "kind",
                                "table",
                                "row",
                                "col"
                              ],
                              "properties": {
                                "col": {
                                  "type": "integer"
                                },
                                "kind": {
                                  "type": "string",
                                  "enumValues": [
                                    "cell"
                                  ]
                                },
                                "row": {
                                  "type": "integer"
                                },
                                "table": {
                                  "pattern": "^\\d+\\.\\d+$",
                                  "type": "string",
                                  "description": "read または ack が出力する完全なブロック ID です（例: \"1938274.12\"）。"
                                }
                              }
                            }
                          }
                        },
                        {
                          "type": "object",
                          "required": [
                            "kind",
                            "ids"
                          ],
                          "properties": {
                            "ids": {
                              "minItems": 1,
                              "maxItems": 4096,
                              "type": "array",
                              "items": {
                                "pattern": "^\\d+\\.\\d+$",
                                "type": "string",
                                "description": "read または ack が出力する完全なブロック ID です（例: \"1938274.12\"）。"
                              }
                            },
                            "kind": {
                              "type": "string",
                              "enumValues": [
                                "blocks"
                              ]
                            }
                          }
                        },
                        {
                          "type": "object",
                          "required": [
                            "kind"
                          ],
                          "properties": {
                            "kind": {
                              "type": "string",
                              "enumValues": [
                                "root"
                              ]
                            }
                          }
                        },
                        {
                          "type": "object",
                          "description": "位置によるテーブルセルです。0 = 最初の行（ヘッダー行）/ 最初の列、-1 = 最後。",
                          "required": [
                            "kind",
                            "table",
                            "row",
                            "col"
                          ],
                          "properties": {
                            "col": {
                              "type": "integer"
                            },
                            "kind": {
                              "type": "string",
                              "enumValues": [
                                "cell"
                              ]
                            },
                            "row": {
                              "type": "integer"
                            },
                            "table": {
                              "pattern": "^\\d+\\.\\d+$",
                              "type": "string",
                              "description": "read または ack が出力する完全なブロック ID です（例: \"1938274.12\"）。"
                            }
                          }
                        }
                      ]
                    }
                  }
                },
                {
                  "type": "object",
                  "required": [
                    "op",
                    "target",
                    "to"
                  ],
                  "properties": {
                    "op": {
                      "type": "string",
                      "enumValues": [
                        "move"
                      ]
                    },
                    "target": {
                      "type": "object",
                      "required": [
                        "kind",
                        "ids"
                      ],
                      "properties": {
                        "ids": {
                          "minItems": 1,
                          "maxItems": 4096,
                          "type": "array",
                          "items": {
                            "pattern": "^\\d+\\.\\d+$",
                            "type": "string",
                            "description": "read または ack が出力する完全なブロック ID です（例: \"1938274.12\"）。"
                          }
                        },
                        "kind": {
                          "type": "string",
                          "enumValues": [
                            "blocks"
                          ]
                        }
                      }
                    },
                    "to": {
                      "type": "object",
                      "required": [
                        "target",
                        "side"
                      ],
                      "properties": {
                        "side": {
                          "type": "string",
                          "enumValues": [
                            "before",
                            "after",
                            "start",
                            "end"
                          ]
                        },
                        "target": {
                          "anyOf": [
                            {
                              "type": "object",
                              "required": [
                                "kind",
                                "ids"
                              ],
                              "properties": {
                                "ids": {
                                  "minItems": 1,
                                  "maxItems": 4096,
                                  "type": "array",
                                  "items": {
                                    "pattern": "^\\d+\\.\\d+$",
                                    "type": "string",
                                    "description": "read または ack が出力する完全なブロック ID です（例: \"1938274.12\"）。"
                                  }
                                },
                                "kind": {
                                  "type": "string",
                                  "enumValues": [
                                    "blocks"
                                  ]
                                }
                              }
                            },
                            {
                              "type": "object",
                              "required": [
                                "kind"
                              ],
                              "properties": {
                                "kind": {
                                  "type": "string",
                                  "enumValues": [
                                    "root"
                                  ]
                                }
                              }
                            }
                          ]
                        }
                      }
                    }
                  }
                },
                {
                  "type": "object",
                  "required": [
                    "op",
                    "target",
                    "attrs"
                  ],
                  "properties": {
                    "attrs": {
                      "type": "object",
                      "properties": {
                        "background": {
                          "type": "string",
                          "nullable": true
                        },
                        "caption": {
                          "type": "string"
                        },
                        "checked": {
                          "type": "boolean"
                        },
                        "kind": {
                          "type": "string",
                          "enumValues": [
                            "bullet",
                            "ordered",
                            "check"
                          ]
                        },
                        "rows": {
                          "maxItems": 2000,
                          "type": "array",
                          "description": "チャートが描画する測定値の行です（≤ 2000行、256 KiB）。",
                          "items": {
                            "type": "object",
                            "additionalProperties": {
                              "anyOf": [
                                {
                                  "type": "string"
                                },
                                {
                                  "type": "number"
                                },
                                {
                                  "type": "boolean"
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            }
                          }
                        },
                        "spec": {
                          "anyOf": [
                            {
                              "type": "object",
                              "required": [
                                "kind",
                                "title",
                                "x",
                                "y"
                              ],
                              "properties": {
                                "kind": {
                                  "type": "string",
                                  "enumValues": [
                                    "line",
                                    "bar",
                                    "pie"
                                  ]
                                },
                                "series": {
                                  "type": "string",
                                  "description": "値（VALUES）が系列名となる列です。系列および期間ごとに1行となります。"
                                },
                                "title": {
                                  "minLength": 1,
                                  "type": "string",
                                  "description": "トピックではなく、番号を含めた調査結果です。"
                                },
                                "unit": {
                                  "type": "string"
                                },
                                "x": {
                                  "minLength": 1,
                                  "type": "string",
                                  "description": "軸に沿った列（または円グラフのスライス）です。"
                                },
                                "y": {
                                  "minLength": 1,
                                  "type": "string",
                                  "description": "測定された列（数値）です。"
                                }
                              }
                            },
                            {
                              "type": "object",
                              "required": [
                                "title",
                                "direction",
                                "nodes",
                                "edges"
                              ],
                              "properties": {
                                "direction": {
                                  "type": "string",
                                  "enumValues": [
                                    "right",
                                    "down"
                                  ]
                                },
                                "edges": {
                                  "maxItems": 120,
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "required": [
                                      "from",
                                      "to"
                                    ],
                                    "properties": {
                                      "from": {
                                        "type": "string"
                                      },
                                      "label": {
                                        "type": "string"
                                      },
                                      "to": {
                                        "type": "string"
                                      }
                                    }
                                  }
                                },
                                "nodes": {
                                  "minItems": 1,
                                  "maxItems": 60,
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "required": [
                                      "id",
                                      "label"
                                    ],
                                    "properties": {
                                      "detail": {
                                        "type": "string"
                                      },
                                      "id": {
                                        "pattern": "^[\\w-]{1,64}$",
                                        "type": "string"
                                      },
                                      "label": {
                                        "minLength": 1,
                                        "type": "string"
                                      }
                                    }
                                  }
                                },
                                "title": {
                                  "minLength": 1,
                                  "type": "string"
                                }
                              }
                            }
                          ]
                        }
                      }
                    },
                    "op": {
                      "type": "string",
                      "enumValues": [
                        "set"
                      ]
                    },
                    "target": {
                      "anyOf": [
                        {
                          "type": "object",
                          "required": [
                            "kind",
                            "ids"
                          ],
                          "properties": {
                            "ids": {
                              "minItems": 1,
                              "maxItems": 4096,
                              "type": "array",
                              "items": {
                                "pattern": "^\\d+\\.\\d+$",
                                "type": "string",
                                "description": "read または ack が出力する完全なブロック ID です（例: \"1938274.12\"）。"
                              }
                            },
                            "kind": {
                              "type": "string",
                              "enumValues": [
                                "blocks"
                              ]
                            }
                          }
                        },
                        {
                          "type": "object",
                          "description": "位置による表のセルです: 0 = 最初の行（ヘッダー行）/ 最初の列、-1 = 最後。",
                          "required": [
                            "kind",
                            "table",
                            "row",
                            "col"
                          ],
                          "properties": {
                            "col": {
                              "type": "integer"
                            },
                            "kind": {
                              "type": "string",
                              "enumValues": [
                                "cell"
                              ]
                            },
                            "row": {
                              "type": "integer"
                            },
                            "table": {
                              "pattern": "^\\d+\\.\\d+$",
                              "type": "string",
                              "description": "read または ack が出力する完全なブロック ID です（例: \"1938274.12\"）。"
                            }
                          }
                        }
                      ]
                    }
                  }
                },
                {
                  "type": "object",
                  "required": [
                    "op",
                    "rev"
                  ],
                  "properties": {
                    "op": {
                      "type": "string",
                      "enumValues": [
                        "restore"
                      ]
                    },
                    "rev": {
                      "minimum": 1,
                      "type": "integer"
                    }
                  }
                }
              ]
            }
          }
        }
      }
    }
  ]
}
```

## Responses

### 200

```json
{
  "statusCode": "200",
  "description": "各 op が書き込んだ内容（読み取り時の出力形式）と新しいリビジョンです。",
  "headers": [],
  "content": [
    {
      "contentType": "application/json",
      "schema": {
        "type": "object",
        "required": [
          "data"
        ],
        "properties": {
          "data": {
            "name": "SpaceDocumentEditAck",
            "type": "object",
            "required": [
              "rev",
              "ops"
            ],
            "properties": {
              "ops": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "op",
                    "xml"
                  ],
                  "properties": {
                    "notices": {
                      "type": "array",
                      "items": {
                        "type": "string"
                      }
                    },
                    "op": {
                      "type": "string"
                    },
                    "xml": {
                      "type": "string"
                    }
                  }
                }
              },
              "rev": {
                "type": "integer"
              }
            }
          }
        }
      }
    }
  ]
}
```

### 400

```json
{
  "statusCode": "400",
  "description": "無効なリクエストパラメータまたはリクエストボディです。再試行不可 — 再試行する前にリクエストを修正してください。\n一般的なエラーコード: `invalid_parameter`（型が正しくないか範囲外）、\n`missing_required_field`（必須のボディフィールドが存在しない）、\n`invalid_json`（リクエストボディが有効な JSON ではない）、\n`validation_error`（フィールドがスキーマ検証に失敗、例: URL 形式や enum 値）。",
  "headers": [],
  "content": [
    {
      "contentType": "application/json",
      "schema": {
        "name": "ApiError",
        "type": "object",
        "description": "共通の構造化エラーエンベロープです。失敗の処理には HTTP ステータスとエラーコードを使用してください。一部のエンドポイントは、追加フィールドを持つより具体的なエラー スキーマを宣言しています。",
        "required": [
          "error"
        ],
        "properties": {
          "error": {
            "type": "object",
            "description": "失敗のカテゴリ、コード、および人間が読める形式の説明です。オプションでフィールドまたは検証のコンテキストが含まれます。",
            "required": [
              "type",
              "code",
              "message",
              "doc_url"
            ],
            "properties": {
              "type": {
                "type": "string",
                "description": "失敗を分類するための広範なエラーカテゴリです。より具体的なコードと HTTP ステータスによって処理方法が決定されます。",
                "enumValues": [
                  "invalid_request_error",
                  "authentication_error",
                  "permission_error",
                  "entitlement_error",
                  "not_found_error",
                  "rate_limit_error",
                  "api_error"
                ]
              },
              "code": {
                "type": "string",
                "description": "マシンリーダブルな失敗コードです。照合の際は大文字と小文字を保持してください。ハンドラーは VALIDATION_ERROR などの大文字のコードや invalid_parameter などの小文字のコードを返す場合があります。新しいコードが追加される可能性があり、サポートされるコードはエンドポイントによって異なります。",
                "example": "VALIDATION_ERROR"
              },
              "message": {
                "type": "string",
                "description": "この失敗に関する人間が読める形式の説明です。文言は変更される可能性があるため、プログラムによる判断には、このテキストを解析するのではなくコードを使用してください。",
                "example": "Request validation failed"
              },
              "feature": {
                "type": "string",
                "description": "402 拒絶で要求されるエンタイトルメント機能です。",
                "example": "included_engines"
              },
              "upgrade_url": {
                "type": "string",
                "format": "uri",
                "description": "402 拒絶時に提供されるプランまたは付与の復旧先です。"
              },
              "param": {
                "type": "string",
                "description": "ハンドラーから提供される場合、エラーに関連付けられた入力フィールドまたはパラメータです。単一のパラメータが特定されない場合は省略されます。検証の失敗では、代わりに details 内に複数のエントリが提供される場合があります。",
                "example": "limit"
              },
              "doc_url": {
                "type": "string",
                "format": "uri",
                "description": "エラーとともに提供されるドキュメントの URL です。コードから構築するのではなく、返された URL を使用してください。URL のフォーマットはハンドラーによって異なる場合があります。",
                "example": "https://docs.orchestor.io/errors/validation_error"
              },
              "details": {
                "description": "提供されている場合の追加の失敗コンテキストです。検証ミドルウェアはフィールドの問題の配列を返し、型定義されたビジネスエラーはコード固有のオブジェクトを返します。省略されている場合は、追加のコンテキストが添付されていないことを意味します。",
                "anyOf": [
                  {
                    "type": "array",
                    "description": "検証の問題です。リクエストには、同じフィールドに対する複数の問題を含め、複数の問題が存在する可能性があります。",
                    "example": [
                      {
                        "path": "items.0.name",
                        "message": "Invalid input",
                        "code": "invalid_type"
                      }
                    ],
                    "items": {
                      "type": "object",
                      "required": [
                        "path",
                        "message",
                        "code"
                      ],
                      "properties": {
                        "path": {
                          "type": "string",
                          "description": "配列インデックスを含む、無効な値へのドット区切りのパスです。空の文字列はルート入力を識別します。",
                          "example": "items.0.name"
                        },
                        "message": {
                          "type": "string",
                          "description": "この検証の問題に関する人間が読める形式の説明です。プログラムによる処理には code および path を使用してください。",
                          "example": "Invalid input"
                        },
                        "code": {
                          "type": "string",
                          "description": "invalid_type などの検証問題のコード、またはバリデータによって提供されるカスタムコードです。外側の error.code とは異なります。",
                          "example": "invalid_type"
                        }
                      }
                    }
                  },
                  {
                    "type": "object",
                    "description": "エラーコードに固有の追加フィールドです。これらを解釈する前に、エンドポイントのエラー ドキュメントを参照してください。",
                    "additionalProperties": true
                  }
                ]
              }
            }
          }
        }
      },
      "example": {
        "error": {
          "type": "invalid_request_error",
          "code": "invalid_parameter",
          "message": "limit must be between 1 and 200",
          "param": "limit",
          "doc_url": "https://docs.orchestor.io/api-reference/errors#invalid-request"
        }
      }
    }
  ]
}
```

### 401

```json
{
  "statusCode": "401",
  "description": "認証が必要であるか、資格情報が無効です。新しい資格情報なしでは再試行できません。\n一般的なエラーコード: `invalid_api_key`（キーの欠落、不正な形式、または失効）、\n`expired_session`（セッション Cookie の期限切れ — Web アプリ経由で再認証してください）。",
  "headers": [],
  "content": [
    {
      "contentType": "application/json",
      "schema": {
        "name": "ApiError",
        "type": "object",
        "description": "共通の構造化エラーエンベロープです。失敗の処理には HTTP ステータスとエラーコードを使用してください。一部のエンドポイントは、追加フィールドを持つより具体的なエラー スキーマを宣言しています。",
        "required": [
          "error"
        ],
        "properties": {
          "error": {
            "type": "object",
            "description": "失敗のカテゴリ、コード、および人間が読める形式の説明です。オプションでフィールドまたは検証のコンテキストが含まれます。",
            "required": [
              "type",
              "code",
              "message",
              "doc_url"
            ],
            "properties": {
              "type": {
                "type": "string",
                "description": "失敗を分類するための広範なエラーカテゴリです。より具体的なコードと HTTP ステータスによって処理方法が決定されます。",
                "enumValues": [
                  "invalid_request_error",
                  "authentication_error",
                  "permission_error",
                  "entitlement_error",
                  "not_found_error",
                  "rate_limit_error",
                  "api_error"
                ]
              },
              "code": {
                "type": "string",
                "description": "マシンリーダブルな失敗コードです。照合の際は大文字と小文字を保持してください。ハンドラーは VALIDATION_ERROR などの大文字のコードや invalid_parameter などの小文字のコードを返す場合があります。新しいコードが追加される可能性があり、サポートされるコードはエンドポイントによって異なります。",
                "example": "VALIDATION_ERROR"
              },
              "message": {
                "type": "string",
                "description": "この失敗に関する人間が読める形式の説明です。文言は変更される可能性があるため、プログラムによる判断には、このテキストを解析するのではなくコードを使用してください。",
                "example": "Request validation failed"
              },
              "feature": {
                "type": "string",
                "description": "402 拒絶で要求されるエンタイトルメント機能です。",
                "example": "included_engines"
              },
              "upgrade_url": {
                "type": "string",
                "format": "uri",
                "description": "402 拒絶時に提供されるプランまたは付与の復旧先です。"
              },
              "param": {
                "type": "string",
                "description": "ハンドラーから提供される場合、エラーに関連付けられた入力フィールドまたはパラメータです。単一のパラメータが特定されない場合は省略されます。検証の失敗では、代わりに details 内に複数のエントリが提供される場合があります。",
                "example": "limit"
              },
              "doc_url": {
                "type": "string",
                "format": "uri",
                "description": "エラーとともに提供されるドキュメントの URL です。コードから構築するのではなく、返された URL を使用してください。URL のフォーマットはハンドラーによって異なる場合があります。",
                "example": "https://docs.orchestor.io/errors/validation_error"
              },
              "details": {
                "description": "提供されている場合の追加の失敗コンテキストです。検証ミドルウェアはフィールドの問題の配列を返し、型定義されたビジネスエラーはコード固有のオブジェクトを返します。省略されている場合は、追加のコンテキストが添付されていないことを意味します。",
                "anyOf": [
                  {
                    "type": "array",
                    "description": "検証の問題です。リクエストには、同じフィールドに対する複数の問題を含め、複数の問題が存在する可能性があります。",
                    "example": [
                      {
                        "path": "items.0.name",
                        "message": "Invalid input",
                        "code": "invalid_type"
                      }
                    ],
                    "items": {
                      "type": "object",
                      "required": [
                        "path",
                        "message",
                        "code"
                      ],
                      "properties": {
                        "path": {
                          "type": "string",
                          "description": "配列インデックスを含む、無効な値へのドット区切りのパスです。空の文字列はルート入力を識別します。",
                          "example": "items.0.name"
                        },
                        "message": {
                          "type": "string",
                          "description": "この検証の問題に関する人間が読める形式の説明です。プログラムによる処理には code および path を使用してください。",
                          "example": "Invalid input"
                        },
                        "code": {
                          "type": "string",
                          "description": "invalid_type などの検証問題のコード、またはバリデータによって提供されるカスタムコードです。外側の error.code とは異なります。",
                          "example": "invalid_type"
                        }
                      }
                    }
                  },
                  {
                    "type": "object",
                    "description": "エラーコードに固有の追加フィールドです。これらを解釈する前に、エンドポイントのエラー ドキュメントを参照してください。",
                    "additionalProperties": true
                  }
                ]
              }
            }
          }
        }
      },
      "example": {
        "error": {
          "type": "authentication_error",
          "code": "invalid_api_key",
          "message": "Invalid API key provided",
          "doc_url": "https://docs.orchestor.io/api-reference/errors#authentication"
        }
      }
    }
  ]
}
```

### 404

```json
{
  "statusCode": "404",
  "description": "要求されたリソースは、現在のワークスペースまたはルートスコープで利用できません。識別子と選択されたワークスペースを確認してください。削除されたリソース、またはアクセススコープ外のリソースに対しても同じレスポンスが返される場合があります。",
  "headers": [],
  "content": [
    {
      "contentType": "application/json",
      "schema": {
        "name": "ApiError",
        "type": "object",
        "description": "共通の構造化エラーエンベロープです。失敗の処理には HTTP ステータスとエラーコードを使用してください。一部のエンドポイントは、追加フィールドを持つより具体的なエラー スキーマを宣言しています。",
        "required": [
          "error"
        ],
        "properties": {
          "error": {
            "type": "object",
            "description": "失敗のカテゴリ、コード、および人間が読める形式の説明です。オプションでフィールドまたは検証のコンテキストが含まれます。",
            "required": [
              "type",
              "code",
              "message",
              "doc_url"
            ],
            "properties": {
              "type": {
                "type": "string",
                "description": "失敗を分類するための広範なエラーカテゴリです。より具体的なコードと HTTP ステータスによって処理方法が決定されます。",
                "enumValues": [
                  "invalid_request_error",
                  "authentication_error",
                  "permission_error",
                  "entitlement_error",
                  "not_found_error",
                  "rate_limit_error",
                  "api_error"
                ]
              },
              "code": {
                "type": "string",
                "description": "マシンリーダブルな失敗コードです。照合の際は大文字と小文字を保持してください。ハンドラーは VALIDATION_ERROR などの大文字のコードや invalid_parameter などの小文字のコードを返す場合があります。新しいコードが追加される可能性があり、サポートされるコードはエンドポイントによって異なります。",
                "example": "VALIDATION_ERROR"
              },
              "message": {
                "type": "string",
                "description": "この失敗に関する人間が読める形式の説明です。文言は変更される可能性があるため、プログラムによる判断には、このテキストを解析するのではなくコードを使用してください。",
                "example": "Request validation failed"
              },
              "feature": {
                "type": "string",
                "description": "402 拒絶で要求されるエンタイトルメント機能です。",
                "example": "included_engines"
              },
              "upgrade_url": {
                "type": "string",
                "format": "uri",
                "description": "402 拒絶時に提供されるプランまたは付与の復旧先です。"
              },
              "param": {
                "type": "string",
                "description": "ハンドラーから提供される場合、エラーに関連付けられた入力フィールドまたはパラメータです。単一のパラメータが特定されない場合は省略されます。検証の失敗では、代わりに details 内に複数のエントリが提供される場合があります。",
                "example": "limit"
              },
              "doc_url": {
                "type": "string",
                "format": "uri",
                "description": "エラーとともに提供されるドキュメントの URL です。コードから構築するのではなく、返された URL を使用してください。URL のフォーマットはハンドラーによって異なる場合があります。",
                "example": "https://docs.orchestor.io/errors/validation_error"
              },
              "details": {
                "description": "提供されている場合の追加の失敗コンテキストです。検証ミドルウェアはフィールドの問題の配列を返し、型定義されたビジネスエラーはコード固有のオブジェクトを返します。省略されている場合は、追加のコンテキストが添付されていないことを意味します。",
                "anyOf": [
                  {
                    "type": "array",
                    "description": "検証の問題です。リクエストには、同じフィールドに対する複数の問題を含め、複数の問題が存在する可能性があります。",
                    "example": [
                      {
                        "path": "items.0.name",
                        "message": "Invalid input",
                        "code": "invalid_type"
                      }
                    ],
                    "items": {
                      "type": "object",
                      "required": [
                        "path",
                        "message",
                        "code"
                      ],
                      "properties": {
                        "path": {
                          "type": "string",
                          "description": "配列インデックスを含む、無効な値へのドット区切りのパスです。空の文字列はルート入力を識別します。",
                          "example": "items.0.name"
                        },
                        "message": {
                          "type": "string",
                          "description": "この検証の問題に関する人間が読める形式の説明です。プログラムによる処理には code および path を使用してください。",
                          "example": "Invalid input"
                        },
                        "code": {
                          "type": "string",
                          "description": "invalid_type などの検証問題のコード、またはバリデータによって提供されるカスタムコードです。外側の error.code とは異なります。",
                          "example": "invalid_type"
                        }
                      }
                    }
                  },
                  {
                    "type": "object",
                    "description": "エラーコードに固有の追加フィールドです。これらを解釈する前に、エンドポイントのエラー ドキュメントを参照してください。",
                    "additionalProperties": true
                  }
                ]
              }
            }
          }
        }
      },
      "example": {
        "error": {
          "type": "not_found_error",
          "code": "resource_not_found",
          "message": "Resource not found",
          "doc_url": "https://docs.orchestor.io/api-reference/errors#not-found"
        }
      }
    }
  ]
}
```

### 409

```json
{
  "statusCode": "409",
  "description": "拒否されました: 何も書き込まれませんでした。error.code は拒否の理由（guard_mismatch、find_none、block_gone、missing_guard、cell_none、last_block、same_anchor、place_arity、shape、bad_request）、error.param は op のパス、error.data は現状のブロックを示します。",
  "headers": [],
  "content": []
}
```

---

[Documentation index](https://orchestor.io/docs/llms.txt)
